<template>
  <div class="q-pa-md">

  <q-btn icon="refresh" color="primary" @click="refresh">Refresh</q-btn>

  <div class="row justify-center">
  <div class="col">
    <div class="q-pa-md row items-start q-gutter-md">
      <FolderDisplay
        v-for="folder in recordingFolders"
        :folder="folder"
        :key="folder.path"
      ></FolderDisplay>
    </div>
  </div>
</div>

</div>
</template>

<script setup lang="ts">
import { toRefs, onMounted } from 'vue';
import { useApiStore } from 'stores/api-store';
import FolderDisplay from 'components/data-manager/FolderDisplay.vue';

const apiStore = useApiStore();

const { recordingFolders } = toRefs(apiStore.$state);

const refresh = async () => {
  await apiStore.updateRecordFolderList();
};

onMounted(async () => {
  await refresh();
});
</script>
